← OBPdynamic-entity Delete liability_choice by id DELETE /obp/dynamic-entity/banks/ogcr/liability_choice/LIABILITY_CHOICE_ID OBPv4.0.0-dynamicEntity_deleteliability_choice_ogcr Roles: CanDeleteDynamicEntityRecord_liability_choice(per bank) _Liability_choice(ogcr)Dynamic-EntityDynamic Delete liability_choice by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"liability_choice" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "liability_choice_id": "string", "activity_id": "string", "liability_mechanism_type": "string", "operator_id": "string", "insurance_policy_reference": "string", "effective_date": "2020-01-01" } Example success response { "bank_id": "ogcr", "liability_choice": { "liability_choice_id": "string", "activity_id": "string", "liability_mechanism_type": "string", "operator_id": "string", "insurance_policy_reference": "string", "effective_date": "2020-01-01" } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.